changeset in /hg/icedtea6: Allow the rhino patch to be turned off.
gnu_andrew at member.fsf.org
gnu_andrew at member.fsf.org
Wed Jun 25 13:11:44 PDT 2008
changeset 2cbd3adb240b in /hg/icedtea6
details: http://icedtea.classpath.org/hg/icedtea6?cmd=changeset;node=2cbd3adb240b
description:
Allow the rhino patch to be turned off.
diffstat:
6 files changed, 542 insertions(+), 359 deletions(-)
ChangeLog | 11
Makefile.am | 6
Makefile.in | 9
acinclude.m4 | 56 ++--
aclocal.m4 | 22 -
configure | 797 ++++++++++++++++++++++++++++++++++------------------------
diffs (truncated from 1588 to 500 lines):
diff -r 83ecff726558 -r 2cbd3adb240b ChangeLog
--- a/ChangeLog Wed Jun 25 09:06:31 2008 +0100
+++ b/ChangeLog Wed Jun 25 21:11:26 2008 +0100
@@ -1,3 +1,14 @@ 2008-06-25 Gary Benson <gbenson at redhat
+2008-06-24 Andrew John Hughes <gnu_andrew at member.fsf.org>
+
+ * Makefile.am: Only add rhino patch when
+ WITH_RHINO is turned on.
+ * Makefile.in: Regenerated.
+ * acinclude.m4: Provide the option to turn off
+ rhino support.
+ * configure,
+ * aclocal.m4:
+ Regenerated.
+
2008-06-25 Gary Benson <gbenson at redhat.com>
* HACKING: Updated.
diff -r 83ecff726558 -r 2cbd3adb240b Makefile.am
--- a/Makefile.am Wed Jun 25 09:06:31 2008 +0100
+++ b/Makefile.am Wed Jun 25 21:11:26 2008 +0100
@@ -348,11 +348,15 @@ ICEDTEA_PATCHES = \
patches/icedtea-jscheme.patch \
patches/icedtea-dnd-updatecursor.patch \
patches/icedtea-component.patch \
- patches/icedtea-rhino.patch \
patches/icedtea-shark-build.patch \
$(SHARK_PATCH) \
$(GCC_PATCH) \
$(DISTRIBUTION_PATCHES)
+
+if WITH_RHINO
+ICEDTEA_PATCHES += \
+ patches/icedtea-rhino.patch
+endif
if WITH_CACAO
ICEDTEA_PATCHES += \
diff -r 83ecff726558 -r 2cbd3adb240b Makefile.in
--- a/Makefile.in Wed Jun 25 09:06:31 2008 +0100
+++ b/Makefile.in Wed Jun 25 21:11:26 2008 +0100
@@ -51,7 +51,10 @@ host_triplet = @host@
@ENABLE_DOCS_FALSE at am__append_6 = \
@ENABLE_DOCS_FALSE@ "NO_DOCS=true"
- at WITH_CACAO_TRUE@am__append_7 = \
+ at WITH_RHINO_TRUE@am__append_7 = \
+ at WITH_RHINO_TRUE@ patches/icedtea-rhino.patch
+
+ at WITH_CACAO_TRUE@am__append_8 = \
@WITH_CACAO_TRUE@ patches/icedtea-cacao.patch
subdir = .
@@ -451,9 +454,9 @@ ICEDTEA_PATCHES = $(ZERO_PATCHES_COND) \
patches/icedtea-override-redirect-metacity.patch \
patches/icedtea-no-bcopy.patch patches/icedtea-jscheme.patch \
patches/icedtea-dnd-updatecursor.patch \
- patches/icedtea-component.patch patches/icedtea-rhino.patch \
+ patches/icedtea-component.patch \
patches/icedtea-shark-build.patch $(SHARK_PATCH) $(GCC_PATCH) \
- $(DISTRIBUTION_PATCHES) $(am__append_7)
+ $(DISTRIBUTION_PATCHES) $(am__append_7) $(am__append_8)
# Patch OpenJDK for plug replacements and ecj.
ICEDTEA_ECJ_PATCH = $(srcdir)/patches/icedtea-ecj.patch
diff -r 83ecff726558 -r 2cbd3adb240b acinclude.m4
--- a/acinclude.m4 Wed Jun 25 09:06:31 2008 +0100
+++ b/acinclude.m4 Wed Jun 25 21:11:26 2008 +0100
@@ -503,33 +503,43 @@ AC_DEFUN([FIND_XERCES2_JAR],
AC_DEFUN([FIND_RHINO_JAR],
[
- AC_ARG_WITH([rhino-jar],
- [AS_HELP_STRING(--with-rhino-jar,specify location of the rhino jar)],
- [
- if test -f "${withval}"; then
- AC_MSG_CHECKING(rhino jar)
- RHINO_JAR="${withval}"
- AC_MSG_RESULT(${withval})
- fi
- ],
- [
- RHINO_JAR=
- ])
- if test -z "${RHINO_JAR}"; then
- AC_MSG_CHECKING(for rhino jar)
+ AC_MSG_CHECKING(whether to include Javascript support via Rhino)
+ AC_ARG_WITH([rhino],
+ [AS_HELP_STRING(--with-rhino,specify location of the rhino jar)],
+ [
+ case "${withval}" in
+ yes)
+ RHINO_JAR=yes
+ ;;
+ no)
+ RHINO_JAR=no
+ ;;
+ *)
+ if test -f "${withval}"; then
+ RHINO_JAR="${withval}"
+ else
+ AC_MSG_RESULT([not found])
+ AC_MSG_ERROR("The rhino jar ${withval} was not found.")
+ fi
+ ;;
+ esac
+ ],
+ [
+ RHINO_JAR=yes
+ ])
+ if test x"${RHINO_JAR}" = "xyes"; then
if test -e "/usr/share/java/rhino.jar"; then
RHINO_JAR=/usr/share/java/rhino.jar
- AC_MSG_RESULT(${RHINO_JAR})
elif test -e "/usr/share/java/js.jar"; then
RHINO_JAR=/usr/share/java/js.jar
- AC_MSG_RESULT(${RHINO_JAR})
- else
- AC_MSG_RESULT(no)
- fi
- fi
- if test -z "${RHINO_JAR}"; then
- AC_MSG_ERROR("A rhino jar was not found.")
- fi
+ fi
+ if test x"${RHINO_JAR}" = "xyes"; then
+ AC_MSG_RESULT([not found])
+ AC_MSG_ERROR("A rhino jar was not found in /usr/share/java as either rhino.jar or js.jar.")
+ fi
+ fi
+ AC_MSG_RESULT(${RHINO_JAR})
+ AM_CONDITIONAL(WITH_RHINO, test x"${RHINO_JAR}" != "xno")
AC_SUBST(RHINO_JAR)
])
diff -r 83ecff726558 -r 2cbd3adb240b aclocal.m4
--- a/aclocal.m4 Wed Jun 25 09:06:31 2008 +0100
+++ b/aclocal.m4 Wed Jun 25 21:11:26 2008 +0100
@@ -87,14 +87,16 @@ fi])
# _PKG_CONFIG([VARIABLE], [COMMAND], [MODULES])
# ---------------------------------------------
m4_define([_PKG_CONFIG],
-[if test -n "$$1"; then
- pkg_cv_[]$1="$$1"
- elif test -n "$PKG_CONFIG"; then
- PKG_CHECK_EXISTS([$3],
- [pkg_cv_[]$1=`$PKG_CONFIG --[]$2 "$3" 2>/dev/null`],
- [pkg_failed=yes])
- else
- pkg_failed=untried
+[if test -n "$PKG_CONFIG"; then
+ if test -n "$$1"; then
+ pkg_cv_[]$1="$$1"
+ else
+ PKG_CHECK_EXISTS([$3],
+ [pkg_cv_[]$1=`$PKG_CONFIG --[]$2 "$3" 2>/dev/null`],
+ [pkg_failed=yes])
+ fi
+else
+ pkg_failed=untried
fi[]dnl
])# _PKG_CONFIG
@@ -138,9 +140,9 @@ if test $pkg_failed = yes; then
if test $pkg_failed = yes; then
_PKG_SHORT_ERRORS_SUPPORTED
if test $_pkg_short_errors_supported = yes; then
- $1[]_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "$2" 2>&1`
+ $1[]_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "$2"`
else
- $1[]_PKG_ERRORS=`$PKG_CONFIG --print-errors "$2" 2>&1`
+ $1[]_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$2"`
fi
# Put the nasty error message in config.log where it belongs
echo "$$1[]_PKG_ERRORS" >&AS_MESSAGE_LOG_FD
diff -r 83ecff726558 -r 2cbd3adb240b configure
--- a/configure Wed Jun 25 09:06:31 2008 +0100
+++ b/configure Wed Jun 25 21:11:26 2008 +0100
@@ -748,6 +748,8 @@ XALAN2_JAR
XALAN2_JAR
XALAN2_SERIALIZER_JAR
XERCES2_JAR
+WITH_RHINO_TRUE
+WITH_RHINO_FALSE
RHINO_JAR
USE_ALT_OPENJDK_SRC_ZIP_TRUE
USE_ALT_OPENJDK_SRC_ZIP_FALSE
@@ -1460,7 +1462,7 @@ Optional Packages:
--with-xalan2-serializer-jar
specify location of the xalan2-serializer jar
--with-xerces2-jar specify location of the xerces2 jar
- --with-rhino-jar specify location of the rhino jar
+ --with-rhino specify location of the rhino jar
--with-openjdk-src-zip specify the location of the openjdk source zip
--with-openjdk-src-dir specify the location of the openjdk sources
--with-cacao use CACAO as VM
@@ -7881,45 +7883,62 @@ fi
fi
fi
-
-# Check whether --with-rhino-jar was given.
-if test "${with_rhino_jar+set}" = set; then
- withval=$with_rhino_jar;
- if test -f "${withval}"; then
- { echo "$as_me:$LINENO: checking rhino jar" >&5
-echo $ECHO_N "checking rhino jar... $ECHO_C" >&6; }
- RHINO_JAR="${withval}"
- { echo "$as_me:$LINENO: result: ${withval}" >&5
-echo "${ECHO_T}${withval}" >&6; }
- fi
-
-else
-
- RHINO_JAR=
-
-fi
-
- if test -z "${RHINO_JAR}"; then
- { echo "$as_me:$LINENO: checking for rhino jar" >&5
-echo $ECHO_N "checking for rhino jar... $ECHO_C" >&6; }
+ { echo "$as_me:$LINENO: checking whether to include Javascript support via Rhino" >&5
+echo $ECHO_N "checking whether to include Javascript support via Rhino... $ECHO_C" >&6; }
+
+# Check whether --with-rhino was given.
+if test "${with_rhino+set}" = set; then
+ withval=$with_rhino;
+ case "${withval}" in
+ yes)
+ RHINO_JAR=yes
+ ;;
+ no)
+ RHINO_JAR=no
+ ;;
+ *)
+ if test -f "${withval}"; then
+ RHINO_JAR="${withval}"
+ else
+ { echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6; }
+ { { echo "$as_me:$LINENO: error: \"The rhino jar ${withval} was not found.\"" >&5
+echo "$as_me: error: \"The rhino jar ${withval} was not found.\"" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+ ;;
+ esac
+
+else
+
+ RHINO_JAR=yes
+
+fi
+
+ if test x"${RHINO_JAR}" = "xyes"; then
if test -e "/usr/share/java/rhino.jar"; then
RHINO_JAR=/usr/share/java/rhino.jar
- { echo "$as_me:$LINENO: result: ${RHINO_JAR}" >&5
-echo "${ECHO_T}${RHINO_JAR}" >&6; }
elif test -e "/usr/share/java/js.jar"; then
RHINO_JAR=/usr/share/java/js.jar
- { echo "$as_me:$LINENO: result: ${RHINO_JAR}" >&5
+ fi
+ if test x"${RHINO_JAR}" = "xyes"; then
+ { echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6; }
+ { { echo "$as_me:$LINENO: error: \"A rhino jar was not found in /usr/share/java as either rhino.jar or js.jar.\"" >&5
+echo "$as_me: error: \"A rhino jar was not found in /usr/share/java as either rhino.jar or js.jar.\"" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+ fi
+ { echo "$as_me:$LINENO: result: ${RHINO_JAR}" >&5
echo "${ECHO_T}${RHINO_JAR}" >&6; }
- else
- { echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6; }
- fi
- fi
- if test -z "${RHINO_JAR}"; then
- { { echo "$as_me:$LINENO: error: \"A rhino jar was not found.\"" >&5
-echo "$as_me: error: \"A rhino jar was not found.\"" >&2;}
- { (exit 1); exit 1; }; }
- fi
+ if test x"${RHINO_JAR}" != "xno"; then
+ WITH_RHINO_TRUE=
+ WITH_RHINO_FALSE='#'
+else
+ WITH_RHINO_TRUE='#'
+ WITH_RHINO_FALSE=
+fi
+
@@ -10286,10 +10305,11 @@ pkg_failed=no
{ echo "$as_me:$LINENO: checking for XPROTO" >&5
echo $ECHO_N "checking for XPROTO... $ECHO_C" >&6; }
-if test -n "$XPROTO_CFLAGS"; then
- pkg_cv_XPROTO_CFLAGS="$XPROTO_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
- if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+ if test -n "$XPROTO_CFLAGS"; then
+ pkg_cv_XPROTO_CFLAGS="$XPROTO_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xproto\"") >&5
($PKG_CONFIG --exists --print-errors "xproto") 2>&5
ac_status=$?
@@ -10299,13 +10319,15 @@ else
else
pkg_failed=yes
fi
- else
- pkg_failed=untried
-fi
-if test -n "$XPROTO_LIBS"; then
- pkg_cv_XPROTO_LIBS="$XPROTO_LIBS"
- elif test -n "$PKG_CONFIG"; then
- if test -n "$PKG_CONFIG" && \
+ fi
+else
+ pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+ if test -n "$XPROTO_LIBS"; then
+ pkg_cv_XPROTO_LIBS="$XPROTO_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xproto\"") >&5
($PKG_CONFIG --exists --print-errors "xproto") 2>&5
ac_status=$?
@@ -10315,8 +10337,9 @@ else
else
pkg_failed=yes
fi
- else
- pkg_failed=untried
+ fi
+else
+ pkg_failed=untried
fi
@@ -10329,9 +10352,9 @@ else
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- XPROTO_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xproto" 2>&1`
+ XPROTO_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xproto"`
else
- XPROTO_PKG_ERRORS=`$PKG_CONFIG --print-errors "xproto" 2>&1`
+ XPROTO_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xproto"`
fi
# Put the nasty error message in config.log where it belongs
echo "$XPROTO_PKG_ERRORS" >&5
@@ -10364,10 +10387,11 @@ pkg_failed=no
{ echo "$as_me:$LINENO: checking for XT" >&5
echo $ECHO_N "checking for XT... $ECHO_C" >&6; }
-if test -n "$XT_CFLAGS"; then
- pkg_cv_XT_CFLAGS="$XT_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
- if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+ if test -n "$XT_CFLAGS"; then
+ pkg_cv_XT_CFLAGS="$XT_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xt\"") >&5
($PKG_CONFIG --exists --print-errors "xt") 2>&5
ac_status=$?
@@ -10377,13 +10401,15 @@ else
else
pkg_failed=yes
fi
- else
- pkg_failed=untried
-fi
-if test -n "$XT_LIBS"; then
- pkg_cv_XT_LIBS="$XT_LIBS"
- elif test -n "$PKG_CONFIG"; then
- if test -n "$PKG_CONFIG" && \
+ fi
+else
+ pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+ if test -n "$XT_LIBS"; then
+ pkg_cv_XT_LIBS="$XT_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xt\"") >&5
($PKG_CONFIG --exists --print-errors "xt") 2>&5
ac_status=$?
@@ -10393,8 +10419,9 @@ else
else
pkg_failed=yes
fi
- else
- pkg_failed=untried
+ fi
+else
+ pkg_failed=untried
fi
@@ -10407,9 +10434,9 @@ else
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- XT_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xt" 2>&1`
+ XT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xt"`
else
- XT_PKG_ERRORS=`$PKG_CONFIG --print-errors "xt" 2>&1`
+ XT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xt"`
fi
# Put the nasty error message in config.log where it belongs
echo "$XT_PKG_ERRORS" >&5
@@ -10442,10 +10469,11 @@ pkg_failed=no
{ echo "$as_me:$LINENO: checking for XP" >&5
echo $ECHO_N "checking for XP... $ECHO_C" >&6; }
-if test -n "$XP_CFLAGS"; then
- pkg_cv_XP_CFLAGS="$XP_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
- if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+ if test -n "$XP_CFLAGS"; then
+ pkg_cv_XP_CFLAGS="$XP_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xp\"") >&5
($PKG_CONFIG --exists --print-errors "xp") 2>&5
ac_status=$?
@@ -10455,13 +10483,15 @@ else
else
pkg_failed=yes
fi
- else
- pkg_failed=untried
-fi
-if test -n "$XP_LIBS"; then
- pkg_cv_XP_LIBS="$XP_LIBS"
- elif test -n "$PKG_CONFIG"; then
- if test -n "$PKG_CONFIG" && \
+ fi
+else
+ pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+ if test -n "$XP_LIBS"; then
+ pkg_cv_XP_LIBS="$XP_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"xp\"") >&5
($PKG_CONFIG --exists --print-errors "xp") 2>&5
ac_status=$?
@@ -10471,8 +10501,9 @@ else
else
pkg_failed=yes
fi
- else
- pkg_failed=untried
+ fi
+else
+ pkg_failed=untried
fi
@@ -10485,9 +10516,9 @@ else
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- XP_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors "xp" 2>&1`
+ XP_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "xp"`
else
- XP_PKG_ERRORS=`$PKG_CONFIG --print-errors "xp" 2>&1`
+ XP_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xp"`
fi
# Put the nasty error message in config.log where it belongs
echo "$XP_PKG_ERRORS" >&5
@@ -10520,10 +10551,11 @@ pkg_failed=no
{ echo "$as_me:$LINENO: checking for X11" >&5
echo $ECHO_N "checking for X11... $ECHO_C" >&6; }
-if test -n "$X11_CFLAGS"; then
- pkg_cv_X11_CFLAGS="$X11_CFLAGS"
- elif test -n "$PKG_CONFIG"; then
- if test -n "$PKG_CONFIG" && \
+if test -n "$PKG_CONFIG"; then
+ if test -n "$X11_CFLAGS"; then
+ pkg_cv_X11_CFLAGS="$X11_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
{ (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"x11\"") >&5
($PKG_CONFIG --exists --print-errors "x11") 2>&5
ac_status=$?
@@ -10533,13 +10565,15 @@ else
else
More information about the distro-pkg-dev
mailing list